--- doccentral~	2004-11-27 09:17:39 -0200
+++ doccentral	2004-12-10 01:19:15 -0200
@@ -1,9 +1,42 @@
 #!/bin/bash
 
 hostname="$DC_HOST"
+docbasepath=/usr/share/doc-base
 
 if [ -z "$hostname" ]; then
-	hostname="`hostname -f`"
+    hostname="`hostname -f`"
+fi
+
+if [ -n "$1" ]; then
+    if [ "$1" = "--help" ] || [ "$1" = "-h" ]; then
+	cat <<EOF
+Usage: $0 [--help|-h] [DOCUMENT]
+
+    -h    --help       Display this usage notice
+
+    DOCUMENT is the name of one of the files located at the
+    doc-base directory: /usr/share/doc-base/.
+
+    If no DOCUMENT is given, doc-central will run the default
+    web browser for your system to show the doc-base table of 
+    contents.
+    
+EOF
+	
+	exit 0;
+    fi
+
+    if [ ! -f $docbasepath/$1 ]; then
+	echo "Error: no document named $1 was found in /usr/share/doc-base/."
+	exit 1
+    fi
+
+    docpath=$(grep -A 1 '^Format: HTML' $docbasepath/$1 | tail -1 \
+	| cut -d ' ' -f 2- | sed 's,/usr/share/,,g')
+
+    if [ -n "$docpath" ]; then
+	exec sensible-browser http://$hostname/$docpath
+    fi
 fi
 
 exec sensible-browser http://$hostname/dc/
